<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->
</head>
<body>

<div id="wrapper">

<div th:replace="fragments/layout :: header('user')"></div>


<!--CAROUSEL-->
<div id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100 shadow-bottom">
            <div class="container">
            <!--<p class="text-white h1 mt-5 ml-5">Registrace</p>-->
            </div>
        </div>
    </div>
</div>

<main id="main" class="container mt-4">

    <h2 class="mb-4 pb-3 border-bottom">Registrace</h2>

    <div th:if="${errorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
        <span th:text="${errorMessage}" />
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <form class="needs-validation" method="post" th:action="@{/user/add}" th:object="${user}" th:fragment="signupForm" novalidate>

        <div class="row">
            <div class="col-md-6">
                <!--GENERAL INFO-->
                <div class="card mb-2">
                    <div class="card-header">
                        Základní údaje
                    </div>
                    <div class="card-body">
                        <div class="form-group row">
                            <!--NAME-->
                            <label for="name" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Jméno:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="name" th:field="*{name}"
                                       th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">jméno je povinné</span>
                            </div>
                        </div>

                        <!--SURNAME-->
                        <div class="form-group row">
                            <label for="surname" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Příjmení:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="surname" th:field="*{surname}"
                                       th:classappend="${#fields.hasErrors('surname')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">příjmení je povinné</span>
                            </div>
                        </div>

                        <!--COMPANY-->
                        <div class="form-group row">
                            <label for="company" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Firma:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="company" th:field="*{company}">
                            </div>
                        </div>

                        <!--EMAIL-->
                        <div class="form-group row">
                            <label for="email" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Email:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="email" class="form-control" id="email" th:field="*{email}"
                                       th:classappend="${#fields.hasErrors('email')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">email je povinný</span>
                            </div>
                        </div>

                        <!--PHONE-->
                        <div class="form-group row">
                            <label for="phoneNumber" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Telefon:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="phoneNumber" th:field="*{phoneNumber}"
                                       th:classappend="${#fields.hasErrors('phoneNumber')} ? 'is-invalid'" >
                                <span class="text-danger invalid-feedback">telefonní číslo je povinné</span>
                            </div>
                        </div>

                        <!--Č.OP/RČ-->
                        <div class="form-group row">
                            <label for="idNumber" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Číslo OP/RČ:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="idNumber" th:field="*{idNumber}"
                                       th:classappend="${#fields.hasErrors('idNumber')} ? 'is-invalid'" required >
                                <span class="text-danger invalid-feedback">číslo občanky nebo rodné číslo je povinné</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <!--ADDRESS-->
                <div class="card mb-2">
                    <div class="card-header">
                        Adresa
                    </div>
                    <div class="card-body">

                        <!--CITY-->
                        <div class="form-group row">
                            <label for="city" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Město:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="city" th:field="*{address.city}"
                                       th:classappend="${#fields.hasErrors('address.city')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">město je povinné</span>
                            </div>
                        </div>

                        <!--STREET-->
                        <div class="form-group row">
                            <label for="street" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Ulice:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="street" th:field="*{address.street}"
                                       th:classappend="${#fields.hasErrors('address.street')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">ulice je povinná</span>
                            </div>
                        </div>

                        <div class="form-group row">
                            <!--ZIP-->
                            <label for="zip" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Zip:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="zip" th:field="*{address.zip}"
                                       th:classappend="${#fields.hasErrors('address.zip')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">zip je povinný</span>
                            </div>

                        </div>

                        <!--STATE-->
                        <div class="form-group row">
                            <label for="state" class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Stát:</label>
                            <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                <input type="text" class="form-control" id="state" th:field="*{address.state}"
                                       th:classappend="${#fields.hasErrors('address.state')} ? 'is-invalid'" required>
                                <span class="text-danger invalid-feedback">stát je povinný</span>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>


        <!--PASSWORD-->
        <div class="card mb-2">
            <div class="card-header">
                Heslo
            </div>
            <div class="card-body">
                <div class="form-group row">
                    <label for="password" class="col-4 col-sm-3 col-md-2 col-form-label">Heslo:</label>
                    <div class="col-8 col-sm-9 col-md-4 mb-3 mb-md-0">
                        <input type="password" class="form-control" id="password" th:field="*{password}"
                               th:classappend="${#fields.hasErrors('password')} ? 'is-invalid'" minlength="8" required>
                        <span class="text-danger invalid-feedback">heslo musí mít minimálně 8 znaků</span>
                    </div>
                    <label for="password2" class="col-4 col-sm-3 col-md-2 col-form-label">Heslo znovu:</label>
                    <div class="col-8 col-sm-9 col-md-4">
                        <input type="password" class="form-control" id="password2" required>
                        <span class="text-danger invalid-feedback">hesla se neshodují</span>
                    </div>
                </div>
            </div>
        </div>

        <div class="clearfix">
            <button type="submit" id="signupButton" class="btn btn-orange float-right">Zaregistrovat se</button>
        </div>
    </form>
</main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script>
    jQuery(document).ready(function() {

        /**REGISTRATION VALIDATION*/
        $('#signupButton').on('click', function () { validateEmail($('#email')) });
        $('#email').on('input', function () { validateEmail($('#email')) });
        $('#signupButton').on('click', function () { comparePasswords($('#password'), $('#password2'), true) });
        $('#password').on('input', function () { checkPassword($('#password'), $('#password2'), true) });
        $('#password2').on('input', function () { comparePasswords($('#password'), $('#password2'), true) });

    });
</script>

</body>
</html>